## utils.alien_evolution_progress module

info Original (javascript) version: https://hastebin.com/udakacavap.js Can be tested against: https://wiki.factorio.com/Enemies#Spawn_chances_by_evolution_factor

### Dependencies

utils.global
utils.debug
utils.table

### Functions

AlienEvolutionProgress.create_spawner_request(total_aliens) | Creates the spawner_request structure required for AlienEvolutionProgress.get_aliens for all available spawner's.

### Dependencies

# utils.global
# utils.debug
# utils.table

### Functions

# AlienEvolutionProgress.create_spawner_request(total_aliens)

  Creates the spawner_request structure required for AlienEvolutionProgress.get_aliens for all available spawner's.

  If dividing the total spawner's by the total aliens causes a fraction, the fraction will decide a chance to spawn. 1 alien for 2 spawner's will have 50% on both.

  Parameters:
  - total_aliens : table